=== debian/changelog ===
copyright-update (2010.0305+git802430a-1) unstable; urgency=low

  * Initial release (Closes: #571011).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 05 Mar 2010 09:24:34 +0200
