## copyright-update 2010.0307+git23ecad8

=== Makefile ===
--- 
+++ 
@@ -99,7 +99,7 @@
 
 realclean: clean
 
-dist-git: test
+dist-git: test doc
 	rm -f $(DIST_DIR)/$(RELEASE)*
 
 	git archive --format=tar --prefix=$(RELEASE)/ master | \
@@ -112,7 +112,7 @@
 
 # The "gt" is maintainer's program frontend to Git
 # Rule: dist-snap - [maintainer] release snapshot from Git repository
-dist-snap: test
+dist-snap: test doc
 	@echo gt tar -q -z -p $(PACKAGE) -c -D master
 
 # Rule: dist - [maintainer] release from Git repository
