=== debian/changelog ===
copyright-update (2010.0307+git23ecad8-2) unstable; urgency=low

  * debian/control
    - (Architecture): set to 'all' (Closes: #583434).
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/compat
    - Update to 8.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 11 Oct 2010 12:45:29 +0300

copyright-update (2010.0307+git23ecad8-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Mar 2010 15:23:51 +0200
