=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/copyright-update.git
 Vcs-Git: git://git.debian.org/git/collab-maint/copyright-update.git
 Homepage: http://freshmeat.net/projects/copyright-update
 
 Package: copyright-update
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Description: update copyright information in files
  Update the copyright information in set of files, possibly
