=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-webget
# http://download.savannah.gnu.org/releases/perl-webget/
# http://mirrors.zerg.biz/nongnu/copyright-update/ copy.*-([\d.]+).*\.tar\.gz

# NOTE: This project is packaged directly from upstream Git. See
# copyright file for URL to project page.
