## copyright-update 2013.0602

=== debian/changelog ===
copyright-update (2013.0602-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to Format 1.0.
  * debian/compat
    - Update to 9.
  * debian/rules
    - Simplify.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 Jun 2013 12:59:03 +0300
