=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/copyright-update.git
-Vcs-Git: git://git.debian.org/git/collab-maint/copyright-update.git
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/copyright-update.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/copyright-update.git
 Homepage: http://freshmeat.net/projects/copyright-update
 
 Package: copyright-update
