## copyright-update 2016.1018

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2010 Jari Aalto
+#	Copyright (C) 2002-2016 Jari Aalto
 #
 #   License
 #
@@ -85,7 +85,7 @@
 
 # Rule: help - display Makefile rules
 help:
-	grep "^# Rule:" Makefile | sort
+	@grep "^# Rule:" Makefile | sort
 
 # Rule: clean - remove temporary files
 clean:
@@ -101,6 +101,7 @@
 
 dist-git: test doc
 	rm -f $(DIST_DIR)/$(RELEASE)*
+	mkdir -p $(DIST_DIR)
 
 	git archive --format=tar --prefix=$(RELEASE)/ master | \
 	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz
@@ -115,9 +116,10 @@
 dist-snap: test doc
 	@echo gt tar -q -z -p $(PACKAGE) -c -D master
 
-# Rule: dist - [maintainer] release from Git repository
+# Rule: dist-git - [maintainer] release from Git repository
 dist: dist-git
 
+# Rule: dist-ls - [maintainer] List release files in achive
 dist-ls:
 	@ls -1tr $(DIST_DIR)/$(PACKAGE)*
