=== debian/changelog ===
copyright-update (2016.1018-6) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Add "tests.sh".
  * debian/tests/tests.sh: New test script.

 -- Hermann Reuter <hermannreuter37@gmail.com>  Wed, 12 Jun 2024 23:03:57 -0300

copyright-update (2016.1018-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:49:41 +0000

copyright-update (2016.1018-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Update Vcs-* fields to use Debian GitLab.
  * debian/control: Bump Standards-Version to 4.5.1.
  * debian/control: Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Feb 2021 12:16:58 -0500

copyright-update (2016.1018-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920063)
  * Added tests (CI).
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Set Multi-Arch: foreign.
  * debian/copyright: using https in Format field and fixed upstream date
      in Copyright field.
  * debian/patches
      - (10): New. Fixed typos in manual page and application messages.
  * debian/watch: bumped version to 4.

 -- Pedro Vaz de Mello de Medeiros <pedro.medeiros@gmail.com>  Mon, 22 Jul 2019 20:11:18 -0300

copyright-update (2016.1018-2) unstable; urgency=medium

  * debian/watch
    - Fix "(...) the last attempt to use it for checking for newer
      upstream versions failed with an error" by adding URL
      to Github tags,

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 18:35:19 +0300

copyright-update (2016.1018-1) unstable; urgency=medium

  * New upstream release.
    - Use UTF-8 encoded copyright sign (Closes: 814751).
      Patch thanks to Philipp Büttgenbach <philipp.buettgenbach@gmail.com>.
  * debian/copyright
    - (Source, X-Upstream-*): Update URLs.
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 21:28:41 +0300
