=== debian/control ===
Source: copyright-update
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/copyright-update
Vcs-Git: https://salsa.debian.org/debian/copyright-update.git
Homepage: https://github.com/jaalto/project--copyright-update

Package: copyright-update
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: update copyright information in files
 Update the copyright information in set of files, possibly recursively,
 matching content criteria. The updating affects copyright year, GPL address
 information etc.
