=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,3 @@
 
 %:
 	dh $@
-
-# End of file
