## copyright-update 2025.0404

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2016 Jari Aalto
+#	Copyright (C) 2002-2025 Jari Aalto
 #
 #   License
 #
