=== debian/changelog ===
copyright-update (2025.0404-1) unstable; urgency=medium

  * New upstream release
    - Update URLs from Freecode to Github
    - Point URLs to Github
    - Update copyright years
    - copyright-update.pl: (Help::=pod): proof read and correct
    - bin/copyright-update.pl: update layout
    - bin/copyright-update.pl: perlcritic correctons
    - bin/copyright-update.pl: (Help): ignore system call error
    - bin/copyright-update.pl: (HandleFile): add comment about nested functions
    - bin/copyright-update.pl: (Initialize): rm OUTPUT_AUTOFLUSH
  * Drop 10-spelling-errors.patch, applied upstream
  * Set myself as maintainer in debian/control (Closes: #920063)
  * Update Standards-Version to 4.7.2 in debian/control
  * Update test.sh to use '-D' instead of '-d' for setting debug level

 -- Dandan Zhang <zhangdandan@loongson.cn>  Tue, 02 Sep 2025 19:56:07 +0800
