=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: copyright-update
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Dandan Zhang <zhangdandan@loongson.cn>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/copyright-update
 Vcs-Git: https://salsa.debian.org/debian/copyright-update.git
 Homepage: https://github.com/jaalto/project--copyright-update
