=== debian/tests/control ===
Test-Command: copyright-update --help

Tests: tests.sh
Restrictions: superficial
