=== debian/watch ===
version=4
https://github.com/jaalto/project--copyright-update/tags .*/(.*)\.tar\.gz
